
#include <fstream>

int MAX_CLIQUE_FOUND;
int REORDER_CHANGE_SIZE;
bool ODD;
std::ofstream CLIQUE_OUTPUTFILE;

boolean clique_print_time_modified(int level, int i, int n, int max,
			  double cputime, double realtime,
			  clique_options *opts) {

    MAX_CLIQUE_FOUND = max;

	static float prev_time=100;
	static int prev_i=100;
	static int prev_max=100;
	static int prev_level=0;
//	FILE *fp=opts->output;
	int j;

//	if (fp==NULL)
//		fp=stdout;

	if (ABS(prev_time-realtime)>0.1 || i==n || i<prev_i || max!=prev_max ||
	    level!=prev_level) {
		for (j=1; j<level; j++)
			cout << "  "; // fprintf(fp,"  ");
		if (realtime-prev_time < 0.01 || i<=prev_i)
			cout << i << "//" << n << "(max " << max << ") " << realtime << " s  (0.00 s//round)" << endl;//fprintf(fp,"%3d/%d (max %2d)  %2.2f s  "
				//"(0.00 s/round)\n",i,n,max,
				//realtime);
		else
			cout << i << "//" << n << "(max " << max << ") " << realtime << " s  (" << (realtime-prev_time)/(i-prev_i) << " s//round)" << endl;//fprintf(fp,"%3d/%d (max %2d)  %2.2f s  "
				//"(%2.2f s/round)\n",
				//i,n,max,realtime,
				//(realtime-prev_time)/(i-prev_i));
		prev_time=realtime;
		prev_i=i;
		prev_max=max;
		prev_level=level;
	}
	return TRUE;
}


boolean save_clique(set_t s, graph_t * g, clique_options * opts)
{
    int * userdata = (int*) opts->user_data;
    int startsetsize = userdata[0];

    if(CLIQUE_OUTPUTFILE.is_open())
    {
        for(int k=1; k<=startsetsize;++k)
            CLIQUE_OUTPUTFILE << userdata[k] << " "; // print start set

        for (int i=0; i<SET_MAX_SIZE(s); i++)
            if (SET_CONTAINS(s,i))
                CLIQUE_OUTPUTFILE << userdata[startsetsize+1+i] << " ";
        CLIQUE_OUTPUTFILE << endl;
    }
    return TRUE;
}
